#lang syndicate
;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2021 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

(require syndicate/drivers/timer)

(module+ main
  (actor-system/dataspace (ds)
    (spawn-timer-driver ds)
    (spawn (at ds
             (log-info "waiting...")
             (stop-when-timeout 2000
               (log-info "done!"))))))
